aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastien Fabbro <bicatali@gentoo.org>2009-02-18 18:07:21 +0000
committerSebastien Fabbro <bicatali@gentoo.org>2009-02-18 18:07:21 +0000
commit2d9f3062507bd5eecb80091914e80a5bea6bb012 (patch)
treedb7eacb11a5e7df376350e584e7f9282a65bab9d /sci-physics
parentremoving, now in main tree (diff)
downloadsci-2d9f3062507bd5eecb80091914e80a5bea6bb012.tar.gz
sci-2d9f3062507bd5eecb80091914e80a5bea6bb012.tar.bz2
sci-2d9f3062507bd5eecb80091914e80a5bea6bb012.zip
Added herwig
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/herwig/ChangeLog8
-rw-r--r--sci-physics/herwig/Manifest6
-rw-r--r--sci-physics/herwig/herwig-6.5.10.ebuild64
-rw-r--r--sci-physics/herwig/metadata.xml9
4 files changed, 87 insertions, 0 deletions
diff --git a/sci-physics/herwig/ChangeLog b/sci-physics/herwig/ChangeLog
new file mode 100644
index 000000000..baf581624
--- /dev/null
+++ b/sci-physics/herwig/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for sci-physics/herwig
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 18 Feb 2009; S├ębastien Fabbro <bicatali@gentoo.org>
+ +sci-physics/herwig/metadata.xml:
+ Initial import, ebuild from Ben Bannier, bug #257734
+
diff --git a/sci-physics/herwig/Manifest b/sci-physics/herwig/Manifest
new file mode 100644
index 000000000..bced81ec9
--- /dev/null
+++ b/sci-physics/herwig/Manifest
@@ -0,0 +1,6 @@
+DIST HERWIG65.INC 32 RMD160 31886fea121df48b01e74ebb3eec7e548c303522 SHA1 fe3ba7cc68f1f7795a290ab13f8e020147fea217 SHA256 593013b04d0c7a0c341befefc9263c10934741ca123394600350475313afda01
+DIST herwig6510.f 2502723 RMD160 8f70b954a39692bcd12dc6b75743755a5bebce28 SHA1 56b5f05081e839a0dc57297b4f89ae8b569bd4d0 SHA256 62105cbd5531223ff71c3c0e7215c87fde8202b15b22ba3a0eaa052c1177dc0c
+DIST herwig6510.inc 14803 RMD160 c99d0857844ebd22ccbd71b87c70df7d210889e5 SHA1 c27375d1e1b541aa033902f32c65efb4a4a7b668 SHA256 4cab87f24cf6e61ba647407e0533a9b77d9d3886762945569d4ec0f95780f90c
+EBUILD herwig-6.5.10.ebuild 1323 RMD160 7ece2560a4873523cfeca3fcce7c52c2cc22f2a5 SHA1 8d09909184037d7f8d208b704595c79d970492a5 SHA256 1ecf620b3f2c24ed5c566a99db169819b187698a13004516fc94e9ba70d97f9a
+MISC ChangeLog 266 RMD160 6e3a834077bc2714216bd8a92eedee659ec6af29 SHA1 4355edeb056b5fe1f932173e1b4094c2fdca62cd SHA256 0b099d67088a6f5b67207e56ac46df5ce978d14744ce8aabc564d41bcac2eaaa
+MISC metadata.xml 313 RMD160 0e0702d25d429aaa78fd6cc9110331a28acde705 SHA1 6de1838cd7a107607c08e7986cf28f867002d81b SHA256 3af9012ca7aa066d35a12c04ea294ac11b6125b56127fb831e3e92e71ec60cf7
diff --git a/sci-physics/herwig/herwig-6.5.10.ebuild b/sci-physics/herwig/herwig-6.5.10.ebuild
new file mode 100644
index 000000000..e8724502d
--- /dev/null
+++ b/sci-physics/herwig/herwig-6.5.10.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit versionator fortran
+
+PV1=$(get_version_component_range 1 ${PV})
+PV2=$(get_version_component_range 2 ${PV})
+PV3=$(get_version_component_range 3 ${PV})
+MY_P=${PN}${PV1}${PV2}${PV3}
+MY_PINC="$(echo ${PN}|tr '[:lower:]' '[:upper:]')${PV1}${PV2}.INC"
+
+DESCRIPTION="High Energy Physics Event Generator"
+HOMEPAGE="http://hepwww.rl.ac.uk/theory/seymour/herwig/"
+COM_URI="http://hepwww.rl.ac.uk/theory/seymour/${PN}"
+SRC_URI="${COM_URI}/${MY_P}.f
+ ${COM_URI}/${MY_P}.inc
+ ${COM_URI}/${MY_PINC}"
+
+LICENSE="as-is"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+DEPEND="!sci-physics/cernlib-montecarlo[herwig]"
+RDEPEND=""
+
+FORTRAN="gfortran g77 ifc"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ cp "${DISTDIR}"/* "${S}"
+}
+
+src_prepare() {
+ cat > configure.ac <<-EOF
+ AC_INIT(${PN},${PV})
+ AM_INIT_AUTOMAKE
+ AC_PROG_F77
+ AC_PROG_LIBTOOL
+ AC_CONFIG_FILES(Makefile)
+ AC_OUTPUT
+ EOF
+ cat > Makefile.am <<-EOF
+ lib_LTLIBRARIES = lib${PN}.la
+ lib${PN}_la_SOURCES = ${MY_P}.f
+ pkginclude_HEADERS = \
+ ${MY_PINC} \
+ ${MY_P}.inc
+
+ EOF
+ eautoreconf
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}
+
+pkg_postinst() {
+ elog "Report bugs to: http://bugs.gentoo.org/show_bug.cgi?id=257734"
+}
diff --git a/sci-physics/herwig/metadata.xml b/sci-physics/herwig/metadata.xml
new file mode 100644
index 000000000..5141b9133
--- /dev/null
+++ b/sci-physics/herwig/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci-physics</herd>
+<longdescription lang="en">
+ HERWIG is a Monte Carlo package for simulating Hadron Emission
+ Reactions With Interfering Gluons.
+</longdescription>
+</pkgmetadata>